PHP is amongst the most widely used object-oriented programming languages. It’s exceptionally popular since it’s free software, which you can use to create interactive sites like community portals, online shops or online learning websites rather than static HTML-based websites. A PHP module must be activated on the web server where a PHP-powered site is hosted so that its source code can be read. As there are no license charges for this sort of module and the language itself provides incalculable possibilities for the Internet apps that you build, there are hundreds of millions of PHP websites. Furthermore, there are a large number of open-source PHP scripts, which you can use for your websites without having to possess any programming abilities. Given the fact that there are a number of versions of PHP, you should verify that the same version that you used while setting up your website is activated on the web server as well.
PHP 4 and PHP 5 Support in Shared Hosting
Our shared hosting servers support different PHP versions, which implies that your websites will run without any problem no matter if your PHP scripts are outdated. We know that an old website does not always equal a vulnerable one as you may have carried out lots of code modifications. That is the reason why we support PHP 4, 5.2, 5.3, 5.4 and 5.5 and you can pick which one will be enabled for your shared web hosting account. The version can be changed with a single click of the mouse from your Hepsia Control Panel and the new settings will take effect right away. If you’d like to run both older and newer scripts, there is even an option to use a different PHP version for each domain name of yours at the same time.
PHP 4 and PHP 5 Support in Semi-dedicated Servers
If you’ve got a website created in an older PHP version and you have spent time and efforts setting it up, patching safety breaches and publishing page content, you’ll need to find a hosting service that can support it, since the majority of web hosting companies today offer only the latest PHP version and abandon the earlier versions. We, however, have decided to permit you to choose the version that your very own websites require. Our Linux semi-dedicated hosting service support PHP 4 and multiple versions of PHP 5, so you will be able to use both newer and older scripts without forfeiting any custom tweaks or frittering away time attempting to make your websites compatible with the web hosting environment. The version can be changed via the Hepsia Control Panel and such a change will apply to the entire semi-dedicated server account, but you will also be able to select a different version for each single site that you host in your account by means of an .htaccess config file.